import 'package:mmoo_live_room/Model/model_live_headFrame_entity.dart';
import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';
import 'package:mmoo_live_room/generated/json/base/json_field.dart';
import 'package:mmoo_live_room/generated/json/model_live_care_user_list_entity.g.dart';

@JsonSerializable()
class ModelLiveCareUserListEntity {
  ModelLiveCareUserListEntity();

  factory ModelLiveCareUserListEntity.fromJson(Map<String, dynamic> json) =>
      $ModelLiveCareUserListEntityFromJson(json);

  Map<String, dynamic> toJson() => $ModelLiveCareUserListEntityToJson(this);

  int? size;
  int? num;
  int? onlineNum;
  int? applyNum;
  int? careUserNum;
  int? userNum;
  List<ModelLiveCareUserListRows>? userList = [];
  List<ModelLiveCareUserListRows>? users = [];
}

@JsonSerializable()
class ModelLiveCareUserListRows {
  ModelLiveCareUserListRows();

  factory ModelLiveCareUserListRows.fromJson(Map<String, dynamic> json) =>
      $ModelLiveCareUserListRowsFromJson(json);

  Map<String, dynamic> toJson() => $ModelLiveCareUserListRowsToJson(this);

  int? userId;
  String? nickname;
  String? headImage;
  int? online;
  int? gender;
  int? isAnchor;
  int? roomPlaceId;
  ModelLiveHeadFrameEntity? headFrame;
  List<ModelLiveUserListAchieves>? achieves;
}
