import 'dart:convert';
import 'package:mmoo_live_room/generated/json/base/json_field.dart';
import 'package:mmoo_live_room/generated/json/model_live_headFrame_entity.g.dart';

@JsonSerializable()
class ModelLiveHeadFrameEntity {

	int? targetId;
	String? name;
	String? icon;
	String? iconJson;
  
  ModelLiveHeadFrameEntity();

  factory ModelLiveHeadFrameEntity.fromJson(Map<String, dynamic> json) => $ModelLiveHeadFrameEntityFromJson(json);

  Map<String, dynamic> toJson() => $ModelLiveHeadFrameEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}