import 'package:mmoo_base/entity/user_sys_show_badge_im_entity.dart';
import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';
import 'package:mmoo_live_room/generated/json/base/json_field.dart';
import 'package:mmoo_live_room/generated/json/model_live_user_info_entity.g.dart';


@JsonSerializable()
class ModelLiveUserInfoEntity {

	ModelLiveUserInfoEntity();

	factory ModelLiveUserInfoEntity.fromJson(Map<String, dynamic> json) => $ModelLiveUserInfoEntityFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveUserInfoEntityToJson(this);

	int? userId;
	String? nickname;
	String? headImage;
	String? country;
	String? birthday;
  String? signature;

  int? roomPlaceId;
  int? cost;
  int? gender;  //0 男  1 女
  int? chat;
  int? voice;
  int? isBlock;
  
	List<ModelLiveUserInfoBtn>? btn;
    ModelLiveHeadFrame? headFrame;

  List<UserSysShowBadgeImEntity>? achieves;
  
}

@JsonSerializable()
class ModelLiveUserInfoBtn {

	ModelLiveUserInfoBtn();

	factory ModelLiveUserInfoBtn.fromJson(Map<String, dynamic> json) => $ModelLiveUserInfoBtnFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveUserInfoBtnToJson(this);

	String? codeName;
	int? codeType;
}
