import 'package:mmoo_live_room/Model/model_live_headFrame_entity.dart';
import 'package:mmoo_live_room/generated/json/base/json_field.dart';
import 'package:mmoo_live_room/generated/json/model_live_user_list_entity.g.dart';


@JsonSerializable()
class ModelLiveUserListEntity {

	ModelLiveUserListEntity();

	factory ModelLiveUserListEntity.fromJson(Map<String, dynamic> json) => $ModelLiveUserListEntityFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveUserListEntityToJson(this);

  List<ModelLiveUserListUsers>? users;
  List<ModelLiveUserListUsers>? rows;
  int? num;
  int? applyNum;
  int? onlineNum;
  int? size;
	List<ModelLiveUserListUsers>? userList;


}

@JsonSerializable()
class ModelLiveUserListUsers {

	ModelLiveUserListUsers();

	factory ModelLiveUserListUsers.fromJson(Map<String, dynamic> json) => $ModelLiveUserListUsersFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveUserListUsersToJson(this);

  int? userId;
  int? isHost;
  String? nickname;
  String? headImage;
  int? roomPlaceId;
  int? type;
  int? sort;
  int? roomUserId;
  int? gender;
  int? isAnchor;
  int invitedCount = 0;
  ModelLiveHeadFrameEntity? headFrame;
  List<ModelLiveUserListAchieves>? achieves;
}

@JsonSerializable()
class ModelLiveUserListAchieves {

	ModelLiveUserListAchieves();

	factory ModelLiveUserListAchieves.fromJson(Map<String, dynamic> json) => $ModelLiveUserListAchievesFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveUserListAchievesToJson(this);

  int? serialNum;
  String? name;
  String? icon;
  String? iconJson;
  
}


@JsonSerializable()
class ModelLiveHeadFrame {

  ModelLiveHeadFrame();

	factory ModelLiveHeadFrame.fromJson(Map<String, dynamic> json) => $ModelLiveHeadFrameFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveHeadFrameToJson(this);

  int? headFrameId;
  String? name;
  String? icon;
  String? iconJson;
}


@JsonSerializable()
class ModelLiveIncomeState {

  ModelLiveIncomeState();

	factory ModelLiveIncomeState.fromJson(Map<String, dynamic> json) => $ModelLiveIncomeStateFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveIncomeStateToJson(this);

  int? incomeStateId;
  String? name;
  String? icon;
  String? iconJson;
}