import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_lastLive_entity.dart';

ModelLastLiveEntity $ModelLastLiveEntityFromJson(Map<String, dynamic> json) {
	final ModelLastLiveEntity modelLastLiveEntity = ModelLastLiveEntity();
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		modelLastLiveEntity.roomId = roomId;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		modelLastLiveEntity.type = type;
	}
	final String? cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		modelLastLiveEntity.cover = cover;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		modelLastLiveEntity.title = title;
	}
	final String? language = jsonConvert.convert<String>(json['language']);
	if (language != null) {
		modelLastLiveEntity.language = language;
	}
	final String? liveNotice = jsonConvert.convert<String>(json['liveNotice']);
	if (liveNotice != null) {
		modelLastLiveEntity.liveNotice = liveNotice;
	}
	final List<int>? voicePrice = jsonConvert.convertListNotNull<int>(json['voicePrice']);
	if (voicePrice != null) {
		modelLastLiveEntity.voicePrice = voicePrice;
	}
	final List<int>? videoPrice = jsonConvert.convertListNotNull<int>(json['videoPrice']);
	if (videoPrice != null) {
		modelLastLiveEntity.videoPrice = videoPrice;
	}
	final String? chooseVoicePrice = jsonConvert.convert<String>(json['chooseVoicePrice']);
	if (chooseVoicePrice != null) {
		modelLastLiveEntity.chooseVoicePrice = chooseVoicePrice;
	}
	final String? chooseVideoPrice = jsonConvert.convert<String>(json['chooseVideoPrice']);
	if (chooseVideoPrice != null) {
		modelLastLiveEntity.chooseVideoPrice = chooseVideoPrice;
	}
	final String? micSeat = jsonConvert.convert<String>(json['micSeat']);
	if (micSeat != null) {
		modelLastLiveEntity.micSeat = micSeat;
	}
	final String? videoSeat = jsonConvert.convert<String>(json['videoSeat']);
	if (videoSeat != null) {
		modelLastLiveEntity.videoSeat = videoSeat;
	}
	final String? pricatePrice = jsonConvert.convert<String>(json['pricatePrice']);
	if (pricatePrice != null) {
		modelLastLiveEntity.pricatePrice = pricatePrice;
	}
	return modelLastLiveEntity;
}

Map<String, dynamic> $ModelLastLiveEntityToJson(ModelLastLiveEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['roomId'] = entity.roomId;
	data['type'] = entity.type;
	data['cover'] = entity.cover;
	data['title'] = entity.title;
	data['language'] = entity.language;
	data['liveNotice'] = entity.liveNotice;
	data['voicePrice'] =  entity.voicePrice;
	data['videoPrice'] =  entity.videoPrice;
	data['chooseVoicePrice'] = entity.chooseVoicePrice;
	data['chooseVideoPrice'] = entity.chooseVideoPrice;
	data['micSeat'] = entity.micSeat;
	data['videoSeat'] = entity.videoSeat;
	data['pricatePrice'] = entity.pricatePrice;
	return data;
}