import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_care_user_list_entity.dart';
import 'package:mmoo_live_room/Model/model_live_headFrame_entity.dart';

import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';


ModelLiveCareUserListEntity $ModelLiveCareUserListEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveCareUserListEntity modelLiveCareUserListEntity = ModelLiveCareUserListEntity();
	final int? size = jsonConvert.convert<int>(json['size']);
	if (size != null) {
		modelLiveCareUserListEntity.size = size;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		modelLiveCareUserListEntity.num = num;
	}
	final int? onlineNum = jsonConvert.convert<int>(json['onlineNum']);
	if (onlineNum != null) {
		modelLiveCareUserListEntity.onlineNum = onlineNum;
	}
	final int? applyNum = jsonConvert.convert<int>(json['applyNum']);
	if (applyNum != null) {
		modelLiveCareUserListEntity.applyNum = applyNum;
	}
	final int? careUserNum = jsonConvert.convert<int>(json['careUserNum']);
	if (careUserNum != null) {
		modelLiveCareUserListEntity.careUserNum = careUserNum;
	}
	final int? userNum = jsonConvert.convert<int>(json['userNum']);
	if (userNum != null) {
		modelLiveCareUserListEntity.userNum = userNum;
	}
	final List<ModelLiveCareUserListRows>? userList = jsonConvert.convertListNotNull<ModelLiveCareUserListRows>(json['userList']);
	if (userList != null) {
		modelLiveCareUserListEntity.userList = userList;
	}
	final List<ModelLiveCareUserListRows>? users = jsonConvert.convertListNotNull<ModelLiveCareUserListRows>(json['users']);
	if (users != null) {
		modelLiveCareUserListEntity.users = users;
	}
	return modelLiveCareUserListEntity;
}

Map<String, dynamic> $ModelLiveCareUserListEntityToJson(ModelLiveCareUserListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['size'] = entity.size;
	data['num'] = entity.num;
	data['onlineNum'] = entity.onlineNum;
	data['applyNum'] = entity.applyNum;
	data['careUserNum'] = entity.careUserNum;
	data['userNum'] = entity.userNum;
	data['userList'] =  entity.userList?.map((v) => v.toJson()).toList();
	data['users'] =  entity.users?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveCareUserListRows $ModelLiveCareUserListRowsFromJson(Map<String, dynamic> json) {
	final ModelLiveCareUserListRows modelLiveCareUserListRows = ModelLiveCareUserListRows();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveCareUserListRows.userId = userId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveCareUserListRows.nickname = nickname;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveCareUserListRows.headImage = headImage;
	}
	final int? online = jsonConvert.convert<int>(json['online']);
	if (online != null) {
		modelLiveCareUserListRows.online = online;
	}
	final int? gender = jsonConvert.convert<int>(json['gender']);
	if (gender != null) {
		modelLiveCareUserListRows.gender = gender;
	}
	final int? isAnchor = jsonConvert.convert<int>(json['isAnchor']);
	if (isAnchor != null) {
		modelLiveCareUserListRows.isAnchor = isAnchor;
	}
	final int? roomPlaceId = jsonConvert.convert<int>(json['roomPlaceId']);
	if (roomPlaceId != null) {
		modelLiveCareUserListRows.roomPlaceId = roomPlaceId;
	}
	final ModelLiveHeadFrameEntity? headFrame = jsonConvert.convert<ModelLiveHeadFrameEntity>(json['headFrame']);
	if (headFrame != null) {
		modelLiveCareUserListRows.headFrame = headFrame;
	}
	final List<ModelLiveUserListAchieves>? achieves = jsonConvert.convertListNotNull<ModelLiveUserListAchieves>(json['achieves']);
	if (achieves != null) {
		modelLiveCareUserListRows.achieves = achieves;
	}
	return modelLiveCareUserListRows;
}

Map<String, dynamic> $ModelLiveCareUserListRowsToJson(ModelLiveCareUserListRows entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['online'] = entity.online;
	data['gender'] = entity.gender;
	data['isAnchor'] = entity.isAnchor;
	data['roomPlaceId'] = entity.roomPlaceId;
	data['headFrame'] = entity.headFrame?.toJson();
	data['achieves'] =  entity.achieves?.map((v) => v.toJson()).toList();
	return data;
}