import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_list_info_entity.dart';

ModelLiveListInfoEntity $ModelLiveListInfoEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveListInfoEntity modelLiveListInfoEntity = ModelLiveListInfoEntity();
	final int? size = jsonConvert.convert<int>(json['size']);
	if (size != null) {
		modelLiveListInfoEntity.size = size;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		modelLiveListInfoEntity.num = num;
	}
	final List<ModelLiveListInfoRows>? rows = jsonConvert.convertListNotNull<ModelLiveListInfoRows>(json['rows']);
	if (rows != null) {
		modelLiveListInfoEntity.rows = rows;
	}
	return modelLiveListInfoEntity;
}

Map<String, dynamic> $ModelLiveListInfoEntityToJson(ModelLiveListInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['size'] = entity.size;
	data['num'] = entity.num;
	data['rows'] =  entity.rows?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveListInfoRows $ModelLiveListInfoRowsFromJson(Map<String, dynamic> json) {
	final ModelLiveListInfoRows modelLiveListInfoRows = ModelLiveListInfoRows();
	final int? liveId = jsonConvert.convert<int>(json['liveId']);
	if (liveId != null) {
		modelLiveListInfoRows.liveId = liveId;
	}
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		modelLiveListInfoRows.roomId = roomId;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		modelLiveListInfoRows.title = title;
	}
	final String? language = jsonConvert.convert<String>(json['language']);
	if (language != null) {
		modelLiveListInfoRows.language = language;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		modelLiveListInfoRows.type = type;
	}
	final String? cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		modelLiveListInfoRows.cover = cover;
	}
	final int? onlineNums = jsonConvert.convert<int>(json['onlineNums']);
	if (onlineNums != null) {
		modelLiveListInfoRows.onlineNums = onlineNums;
	}
	final int? price = jsonConvert.convert<int>(json['price']);
	if (price != null) {
		modelLiveListInfoRows.price = price;
	}
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveListInfoRows.userId = userId;
	}
	final int? isUnlock = jsonConvert.convert<int>(json['isUnlock']);
	if (isUnlock != null) {
		modelLiveListInfoRows.isUnlock = isUnlock;
	}
	final List<ModelLiveListInfoRowsMikeUsers>? mikeUsers = jsonConvert.convertListNotNull<ModelLiveListInfoRowsMikeUsers>(json['mikeUsers']);
	if (mikeUsers != null) {
		modelLiveListInfoRows.mikeUsers = mikeUsers;
	}
	final List<ModelLiveListInfoRowsOnlineUsers>? onlineUsers = jsonConvert.convertListNotNull<ModelLiveListInfoRowsOnlineUsers>(json['onlineUsers']);
	if (onlineUsers != null) {
		modelLiveListInfoRows.onlineUsers = onlineUsers;
	}
	return modelLiveListInfoRows;
}

Map<String, dynamic> $ModelLiveListInfoRowsToJson(ModelLiveListInfoRows entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['liveId'] = entity.liveId;
	data['roomId'] = entity.roomId;
	data['title'] = entity.title;
	data['language'] = entity.language;
	data['type'] = entity.type;
	data['cover'] = entity.cover;
	data['onlineNums'] = entity.onlineNums;
	data['price'] = entity.price;
	data['userId'] = entity.userId;
	data['isUnlock'] = entity.isUnlock;
	data['mikeUsers'] =  entity.mikeUsers?.map((v) => v.toJson()).toList();
	data['onlineUsers'] =  entity.onlineUsers?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveListInfoRowsMikeUsers $ModelLiveListInfoRowsMikeUsersFromJson(Map<String, dynamic> json) {
	final ModelLiveListInfoRowsMikeUsers modelLiveListInfoRowsMikeUsers = ModelLiveListInfoRowsMikeUsers();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveListInfoRowsMikeUsers.userId = userId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveListInfoRowsMikeUsers.nickname = nickname;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveListInfoRowsMikeUsers.headImage = headImage;
	}
	return modelLiveListInfoRowsMikeUsers;
}

Map<String, dynamic> $ModelLiveListInfoRowsMikeUsersToJson(ModelLiveListInfoRowsMikeUsers entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	return data;
}

ModelLiveListInfoRowsOnlineUsers $ModelLiveListInfoRowsOnlineUsersFromJson(Map<String, dynamic> json) {
	final ModelLiveListInfoRowsOnlineUsers modelLiveListInfoRowsOnlineUsers = ModelLiveListInfoRowsOnlineUsers();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveListInfoRowsOnlineUsers.userId = userId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveListInfoRowsOnlineUsers.nickname = nickname;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveListInfoRowsOnlineUsers.headImage = headImage;
	}
	return modelLiveListInfoRowsOnlineUsers;
}

Map<String, dynamic> $ModelLiveListInfoRowsOnlineUsersToJson(ModelLiveListInfoRowsOnlineUsers entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	return data;
}