import 'package:mmoo_live_room/generated/json/base/json_field.dart';
import 'package:mmoo_live_room/generated/json/model_live_list_info_entity.g.dart';


@JsonSerializable()
class ModelLiveListInfoEntity {

	ModelLiveListInfoEntity();

	factory ModelLiveListInfoEntity.fromJson(Map<String, dynamic> json) => $ModelLiveListInfoEntityFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveListInfoEntityToJson(this);

	int? size;
	int? num;
	List<ModelLiveListInfoRows>? rows;
}

@JsonSerializable()
class ModelLiveListInfoRows {

	ModelLiveListInfoRows();

	factory ModelLiveListInfoRows.fromJson(Map<String, dynamic> json) => $ModelLiveListInfoRowsFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveListInfoRowsToJson(this);

	int? liveId;
	int? roomId;
	String? title;
	String? language;
	int? type;
	String? cover;
	int? onlineNums;
	int? price;
	int? userId;
	int? isUnlock;
	List<ModelLiveListInfoRowsMikeUsers>? mikeUsers;
	List<ModelLiveListInfoRowsOnlineUsers>? onlineUsers;
}

@JsonSerializable()
class ModelLiveListInfoRowsMikeUsers {

	ModelLiveListInfoRowsMikeUsers();

	factory ModelLiveListInfoRowsMikeUsers.fromJson(Map<String, dynamic> json) => $ModelLiveListInfoRowsMikeUsersFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveListInfoRowsMikeUsersToJson(this);

	int? userId;
	String? nickname;
	String? headImage;
}

@JsonSerializable()
class ModelLiveListInfoRowsOnlineUsers {

	ModelLiveListInfoRowsOnlineUsers();

	factory ModelLiveListInfoRowsOnlineUsers.fromJson(Map<String, dynamic> json) => $ModelLiveListInfoRowsOnlineUsersFromJson(json);

	Map<String, dynamic> toJson() => $ModelLiveListInfoRowsOnlineUsersToJson(this);

	int? userId;
	String? nickname;
	String? headImage;
}
