import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_gift_list_entity.dart';
import 'package:mmoo_live_room/Model/model_live_send_gift_entity.dart';


ModelLiveGiftListEntity $ModelLiveGiftListEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveGiftListEntity modelLiveGiftListEntity = ModelLiveGiftListEntity();
	final List<ModelLiveGiftListGifts>? gifts = jsonConvert.convertListNotNull<ModelLiveGiftListGifts>(json['gifts']);
	if (gifts != null) {
		modelLiveGiftListEntity.gifts = gifts;
	}
	return modelLiveGiftListEntity;
}

Map<String, dynamic> $ModelLiveGiftListEntityToJson(ModelLiveGiftListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gifts'] =  entity.gifts?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveGiftListGifts $ModelLiveGiftListGiftsFromJson(Map<String, dynamic> json) {
	final ModelLiveGiftListGifts modelLiveGiftListGifts = ModelLiveGiftListGifts();
	final String? gifUrl = jsonConvert.convert<String>(json['gifUrl']);
	if (gifUrl != null) {
		modelLiveGiftListGifts.gifUrl = gifUrl;
	}
	final int? id = jsonConvert.convert<int>(json['id']);
	if (id != null) {
		modelLiveGiftListGifts.id = id;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		modelLiveGiftListGifts.name = name;
	}
	final String? preUrl = jsonConvert.convert<String>(json['preUrl']);
	if (preUrl != null) {
		modelLiveGiftListGifts.preUrl = preUrl;
	}
	final String? price = jsonConvert.convert<String>(json['price']);
	if (price != null) {
		modelLiveGiftListGifts.price = price;
	}
	final List<ModelLiveSendGiftGiveGiftUserInfoList>? giveGiftUserInfoList = jsonConvert.convertListNotNull<ModelLiveSendGiftGiveGiftUserInfoList>(json['giveGiftUserInfoList']);
	if (giveGiftUserInfoList != null) {
		modelLiveGiftListGifts.giveGiftUserInfoList = giveGiftUserInfoList;
	}
	final String? num = jsonConvert.convert<String>(json['num']);
	if (num != null) {
		modelLiveGiftListGifts.num = num;
	}
	return modelLiveGiftListGifts;
}

Map<String, dynamic> $ModelLiveGiftListGiftsToJson(ModelLiveGiftListGifts entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['gifUrl'] = entity.gifUrl;
	data['id'] = entity.id;
	data['name'] = entity.name;
	data['preUrl'] = entity.preUrl;
	data['price'] = entity.price;
	data['giveGiftUserInfoList'] =  entity.giveGiftUserInfoList?.map((v) => v.toJson()).toList();
	data['num'] = entity.num;
	return data;
}