import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_info_entity.dart';

ModelLiveInfoEntity $ModelLiveInfoEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveInfoEntity modelLiveInfoEntity = ModelLiveInfoEntity();
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		modelLiveInfoEntity.roomId = roomId;
	}
	final int? liveId = jsonConvert.convert<int>(json['liveId']);
	if (liveId != null) {
		modelLiveInfoEntity.liveId = liveId;
	}
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveInfoEntity.userId = userId;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		modelLiveInfoEntity.type = type;
	}
	final String? cover = jsonConvert.convert<String>(json['cover']);
	if (cover != null) {
		modelLiveInfoEntity.cover = cover;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveInfoEntity.headImage = headImage;
	}
	final String? title = jsonConvert.convert<String>(json['title']);
	if (title != null) {
		modelLiveInfoEntity.title = title;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveInfoEntity.nickname = nickname;
	}
	final String? language = jsonConvert.convert<String>(json['language']);
	if (language != null) {
		modelLiveInfoEntity.language = language;
	}
	final String? liveNotice = jsonConvert.convert<String>(json['liveNotice']);
	if (liveNotice != null) {
		modelLiveInfoEntity.liveNotice = liveNotice;
	}
	final String? chatroomId = jsonConvert.convert<String>(json['chatroomId']);
	if (chatroomId != null) {
		modelLiveInfoEntity.chatroomId = chatroomId;
	}
	final int? onlineNums = jsonConvert.convert<int>(json['onlineNums']);
	if (onlineNums != null) {
		modelLiveInfoEntity.onlineNums = onlineNums;
	}
	final int? subNums = jsonConvert.convert<int>(json['subNums']);
	if (subNums != null) {
		modelLiveInfoEntity.subNums = subNums;
	}
	final List<ModelLiveInfoPlaceList>? voicePlaceList = jsonConvert.convertListNotNull<ModelLiveInfoPlaceList>(json['voicePlaceList']);
	if (voicePlaceList != null) {
		modelLiveInfoEntity.voicePlaceList = voicePlaceList;
	}
	final List<ModelLiveInfoPlaceList>? videoPlaceList = jsonConvert.convertListNotNull<ModelLiveInfoPlaceList>(json['videoPlaceList']);
	if (videoPlaceList != null) {
		modelLiveInfoEntity.videoPlaceList = videoPlaceList;
	}
	final int? price = jsonConvert.convert<int>(json['price']);
	if (price != null) {
		modelLiveInfoEntity.price = price;
	}
	final int? isUnlock = jsonConvert.convert<int>(json['isUnlock']);
	if (isUnlock != null) {
		modelLiveInfoEntity.isUnlock = isUnlock;
	}
	final int? follow = jsonConvert.convert<int>(json['follow']);
	if (follow != null) {
		modelLiveInfoEntity.follow = follow;
	}
	final int? voicePrice = jsonConvert.convert<int>(json['voicePrice']);
	if (voicePrice != null) {
		modelLiveInfoEntity.voicePrice = voicePrice;
	}
	final int? videoPrice = jsonConvert.convert<int>(json['videoPrice']);
	if (videoPrice != null) {
		modelLiveInfoEntity.videoPrice = videoPrice;
	}
	final bool? isSwitchCamera = jsonConvert.convert<bool>(json['isSwitchCamera']);
	if (isSwitchCamera != null) {
		modelLiveInfoEntity.isSwitchCamera = isSwitchCamera;
	}
	final int? role = jsonConvert.convert<int>(json['role']);
	if (role != null) {
		modelLiveInfoEntity.role = role;
	}
	return modelLiveInfoEntity;
}

Map<String, dynamic> $ModelLiveInfoEntityToJson(ModelLiveInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['roomId'] = entity.roomId;
	data['liveId'] = entity.liveId;
	data['userId'] = entity.userId;
	data['type'] = entity.type;
	data['cover'] = entity.cover;
	data['headImage'] = entity.headImage;
	data['title'] = entity.title;
	data['nickname'] = entity.nickname;
	data['language'] = entity.language;
	data['liveNotice'] = entity.liveNotice;
	data['chatroomId'] = entity.chatroomId;
	data['onlineNums'] = entity.onlineNums;
	data['subNums'] = entity.subNums;
	data['voicePlaceList'] =  entity.voicePlaceList?.map((v) => v.toJson()).toList();
	data['videoPlaceList'] =  entity.videoPlaceList?.map((v) => v.toJson()).toList();
	data['price'] = entity.price;
	data['isUnlock'] = entity.isUnlock;
	data['follow'] = entity.follow;
	data['voicePrice'] = entity.voicePrice;
	data['videoPrice'] = entity.videoPrice;
	data['isSwitchCamera'] = entity.isSwitchCamera;
	data['role'] = entity.role;
	return data;
}

ModelLiveInfoPlaceList $ModelLiveInfoPlaceListFromJson(Map<String, dynamic> json) {
	final ModelLiveInfoPlaceList modelLiveInfoPlaceList = ModelLiveInfoPlaceList();
	final int? roomPlaceId = jsonConvert.convert<int>(json['roomPlaceId']);
	if (roomPlaceId != null) {
		modelLiveInfoPlaceList.roomPlaceId = roomPlaceId;
	}
	final int? liveId = jsonConvert.convert<int>(json['liveId']);
	if (liveId != null) {
		modelLiveInfoPlaceList.liveId = liveId;
	}
	final int? roomId = jsonConvert.convert<int>(json['roomId']);
	if (roomId != null) {
		modelLiveInfoPlaceList.roomId = roomId;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		modelLiveInfoPlaceList.type = type;
	}
	final int? streamSeq = jsonConvert.convert<int>(json['streamSeq']);
	if (streamSeq != null) {
		modelLiveInfoPlaceList.streamSeq = streamSeq;
	}
	final int? telSeq = jsonConvert.convert<int>(json['telSeq']);
	if (telSeq != null) {
		modelLiveInfoPlaceList.telSeq = telSeq;
	}
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveInfoPlaceList.userId = userId;
	}
	final int? isHost = jsonConvert.convert<int>(json['isHost']);
	if (isHost != null) {
		modelLiveInfoPlaceList.isHost = isHost;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveInfoPlaceList.headImage = headImage;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveInfoPlaceList.nickname = nickname;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		modelLiveInfoPlaceList.country = country;
	}
	final int? roomUserId = jsonConvert.convert<int>(json['roomUserId']);
	if (roomUserId != null) {
		modelLiveInfoPlaceList.roomUserId = roomUserId;
	}
	final int? role = jsonConvert.convert<int>(json['role']);
	if (role != null) {
		modelLiveInfoPlaceList.role = role;
	}
	final int? roomUserStatus = jsonConvert.convert<int>(json['roomUserStatus']);
	if (roomUserStatus != null) {
		modelLiveInfoPlaceList.roomUserStatus = roomUserStatus;
	}
	final int? chat = jsonConvert.convert<int>(json['chat']);
	if (chat != null) {
		modelLiveInfoPlaceList.chat = chat;
	}
	final int? voice = jsonConvert.convert<int>(json['voice']);
	if (voice != null) {
		modelLiveInfoPlaceList.voice = voice;
	}
	final int? follow = jsonConvert.convert<int>(json['follow']);
	if (follow != null) {
		modelLiveInfoPlaceList.follow = follow;
	}
	final int? giftNum = jsonConvert.convert<int>(json['giftNum']);
	if (giftNum != null) {
		modelLiveInfoPlaceList.giftNum = giftNum;
	}
	final int? gender = jsonConvert.convert<int>(json['gender']);
	if (gender != null) {
		modelLiveInfoPlaceList.gender = gender;
	}
	final int? chooseGift = jsonConvert.convert<int>(json['chooseGift']);
	if (chooseGift != null) {
		modelLiveInfoPlaceList.chooseGift = chooseGift;
	}
	return modelLiveInfoPlaceList;
}

Map<String, dynamic> $ModelLiveInfoPlaceListToJson(ModelLiveInfoPlaceList entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['roomPlaceId'] = entity.roomPlaceId;
	data['liveId'] = entity.liveId;
	data['roomId'] = entity.roomId;
	data['type'] = entity.type;
	data['streamSeq'] = entity.streamSeq;
	data['telSeq'] = entity.telSeq;
	data['userId'] = entity.userId;
	data['isHost'] = entity.isHost;
	data['headImage'] = entity.headImage;
	data['nickname'] = entity.nickname;
	data['country'] = entity.country;
	data['roomUserId'] = entity.roomUserId;
	data['role'] = entity.role;
	data['roomUserStatus'] = entity.roomUserStatus;
	data['chat'] = entity.chat;
	data['voice'] = entity.voice;
	data['follow'] = entity.follow;
	data['giftNum'] = entity.giftNum;
	data['gender'] = entity.gender;
	data['chooseGift'] = entity.chooseGift;
	return data;
}