import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_user_info_entity.dart';
import 'package:mmoo_base/entity/user_sys_show_badge_im_entity.dart';

import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';


ModelLiveUserInfoEntity $ModelLiveUserInfoEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveUserInfoEntity modelLiveUserInfoEntity = ModelLiveUserInfoEntity();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveUserInfoEntity.userId = userId;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveUserInfoEntity.nickname = nickname;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveUserInfoEntity.headImage = headImage;
	}
	final String? country = jsonConvert.convert<String>(json['country']);
	if (country != null) {
		modelLiveUserInfoEntity.country = country;
	}
	final String? birthday = jsonConvert.convert<String>(json['birthday']);
	if (birthday != null) {
		modelLiveUserInfoEntity.birthday = birthday;
	}
	final String? signature = jsonConvert.convert<String>(json['signature']);
	if (signature != null) {
		modelLiveUserInfoEntity.signature = signature;
	}
	final int? roomPlaceId = jsonConvert.convert<int>(json['roomPlaceId']);
	if (roomPlaceId != null) {
		modelLiveUserInfoEntity.roomPlaceId = roomPlaceId;
	}
	final int? cost = jsonConvert.convert<int>(json['cost']);
	if (cost != null) {
		modelLiveUserInfoEntity.cost = cost;
	}
	final int? gender = jsonConvert.convert<int>(json['gender']);
	if (gender != null) {
		modelLiveUserInfoEntity.gender = gender;
	}
	final int? chat = jsonConvert.convert<int>(json['chat']);
	if (chat != null) {
		modelLiveUserInfoEntity.chat = chat;
	}
	final int? voice = jsonConvert.convert<int>(json['voice']);
	if (voice != null) {
		modelLiveUserInfoEntity.voice = voice;
	}
	final int? isBlock = jsonConvert.convert<int>(json['isBlock']);
	if (isBlock != null) {
		modelLiveUserInfoEntity.isBlock = isBlock;
	}
	final List<ModelLiveUserInfoBtn>? btn = jsonConvert.convertListNotNull<ModelLiveUserInfoBtn>(json['btn']);
	if (btn != null) {
		modelLiveUserInfoEntity.btn = btn;
	}
	final ModelLiveHeadFrame? headFrame = jsonConvert.convert<ModelLiveHeadFrame>(json['headFrame']);
	if (headFrame != null) {
		modelLiveUserInfoEntity.headFrame = headFrame;
	}
	final List<UserSysShowBadgeImEntity>? achieves = jsonConvert.convertListNotNull<UserSysShowBadgeImEntity>(json['achieves']);
	if (achieves != null) {
		modelLiveUserInfoEntity.achieves = achieves;
	}
	return modelLiveUserInfoEntity;
}

Map<String, dynamic> $ModelLiveUserInfoEntityToJson(ModelLiveUserInfoEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['country'] = entity.country;
	data['birthday'] = entity.birthday;
	data['signature'] = entity.signature;
	data['roomPlaceId'] = entity.roomPlaceId;
	data['cost'] = entity.cost;
	data['gender'] = entity.gender;
	data['chat'] = entity.chat;
	data['voice'] = entity.voice;
	data['isBlock'] = entity.isBlock;
	data['btn'] =  entity.btn?.map((v) => v.toJson()).toList();
	data['headFrame'] = entity.headFrame?.toJson();
	data['achieves'] =  entity.achieves?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveUserInfoBtn $ModelLiveUserInfoBtnFromJson(Map<String, dynamic> json) {
	final ModelLiveUserInfoBtn modelLiveUserInfoBtn = ModelLiveUserInfoBtn();
	final String? codeName = jsonConvert.convert<String>(json['codeName']);
	if (codeName != null) {
		modelLiveUserInfoBtn.codeName = codeName;
	}
	final int? codeType = jsonConvert.convert<int>(json['codeType']);
	if (codeType != null) {
		modelLiveUserInfoBtn.codeType = codeType;
	}
	return modelLiveUserInfoBtn;
}

Map<String, dynamic> $ModelLiveUserInfoBtnToJson(ModelLiveUserInfoBtn entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['codeName'] = entity.codeName;
	data['codeType'] = entity.codeType;
	return data;
}