import 'package:mmoo_live_room/generated/json/base/json_convert_content.dart';
import 'package:mmoo_live_room/Model/model_live_user_list_entity.dart';
import 'package:mmoo_live_room/Model/model_live_headFrame_entity.dart';


ModelLiveUserListEntity $ModelLiveUserListEntityFromJson(Map<String, dynamic> json) {
	final ModelLiveUserListEntity modelLiveUserListEntity = ModelLiveUserListEntity();
	final List<ModelLiveUserListUsers>? users = jsonConvert.convertListNotNull<ModelLiveUserListUsers>(json['users']);
	if (users != null) {
		modelLiveUserListEntity.users = users;
	}
	final List<ModelLiveUserListUsers>? rows = jsonConvert.convertListNotNull<ModelLiveUserListUsers>(json['rows']);
	if (rows != null) {
		modelLiveUserListEntity.rows = rows;
	}
	final int? num = jsonConvert.convert<int>(json['num']);
	if (num != null) {
		modelLiveUserListEntity.num = num;
	}
	final int? applyNum = jsonConvert.convert<int>(json['applyNum']);
	if (applyNum != null) {
		modelLiveUserListEntity.applyNum = applyNum;
	}
	final int? onlineNum = jsonConvert.convert<int>(json['onlineNum']);
	if (onlineNum != null) {
		modelLiveUserListEntity.onlineNum = onlineNum;
	}
	final int? size = jsonConvert.convert<int>(json['size']);
	if (size != null) {
		modelLiveUserListEntity.size = size;
	}
	final List<ModelLiveUserListUsers>? userList = jsonConvert.convertListNotNull<ModelLiveUserListUsers>(json['userList']);
	if (userList != null) {
		modelLiveUserListEntity.userList = userList;
	}
	return modelLiveUserListEntity;
}

Map<String, dynamic> $ModelLiveUserListEntityToJson(ModelLiveUserListEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['users'] =  entity.users?.map((v) => v.toJson()).toList();
	data['rows'] =  entity.rows?.map((v) => v.toJson()).toList();
	data['num'] = entity.num;
	data['applyNum'] = entity.applyNum;
	data['onlineNum'] = entity.onlineNum;
	data['size'] = entity.size;
	data['userList'] =  entity.userList?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveUserListUsers $ModelLiveUserListUsersFromJson(Map<String, dynamic> json) {
	final ModelLiveUserListUsers modelLiveUserListUsers = ModelLiveUserListUsers();
	final int? userId = jsonConvert.convert<int>(json['userId']);
	if (userId != null) {
		modelLiveUserListUsers.userId = userId;
	}
	final int? isHost = jsonConvert.convert<int>(json['isHost']);
	if (isHost != null) {
		modelLiveUserListUsers.isHost = isHost;
	}
	final String? nickname = jsonConvert.convert<String>(json['nickname']);
	if (nickname != null) {
		modelLiveUserListUsers.nickname = nickname;
	}
	final String? headImage = jsonConvert.convert<String>(json['headImage']);
	if (headImage != null) {
		modelLiveUserListUsers.headImage = headImage;
	}
	final int? roomPlaceId = jsonConvert.convert<int>(json['roomPlaceId']);
	if (roomPlaceId != null) {
		modelLiveUserListUsers.roomPlaceId = roomPlaceId;
	}
	final int? type = jsonConvert.convert<int>(json['type']);
	if (type != null) {
		modelLiveUserListUsers.type = type;
	}
	final int? sort = jsonConvert.convert<int>(json['sort']);
	if (sort != null) {
		modelLiveUserListUsers.sort = sort;
	}
	final int? roomUserId = jsonConvert.convert<int>(json['roomUserId']);
	if (roomUserId != null) {
		modelLiveUserListUsers.roomUserId = roomUserId;
	}
	final int? gender = jsonConvert.convert<int>(json['gender']);
	if (gender != null) {
		modelLiveUserListUsers.gender = gender;
	}
	final int? isAnchor = jsonConvert.convert<int>(json['isAnchor']);
	if (isAnchor != null) {
		modelLiveUserListUsers.isAnchor = isAnchor;
	}
	final int? invitedCount = jsonConvert.convert<int>(json['invitedCount']);
	if (invitedCount != null) {
		modelLiveUserListUsers.invitedCount = invitedCount;
	}
	final ModelLiveHeadFrameEntity? headFrame = jsonConvert.convert<ModelLiveHeadFrameEntity>(json['headFrame']);
	if (headFrame != null) {
		modelLiveUserListUsers.headFrame = headFrame;
	}
	final List<ModelLiveUserListAchieves>? achieves = jsonConvert.convertListNotNull<ModelLiveUserListAchieves>(json['achieves']);
	if (achieves != null) {
		modelLiveUserListUsers.achieves = achieves;
	}
	return modelLiveUserListUsers;
}

Map<String, dynamic> $ModelLiveUserListUsersToJson(ModelLiveUserListUsers entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['userId'] = entity.userId;
	data['isHost'] = entity.isHost;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	data['roomPlaceId'] = entity.roomPlaceId;
	data['type'] = entity.type;
	data['sort'] = entity.sort;
	data['roomUserId'] = entity.roomUserId;
	data['gender'] = entity.gender;
	data['isAnchor'] = entity.isAnchor;
	data['invitedCount'] = entity.invitedCount;
	data['headFrame'] = entity.headFrame?.toJson();
	data['achieves'] =  entity.achieves?.map((v) => v.toJson()).toList();
	return data;
}

ModelLiveUserListAchieves $ModelLiveUserListAchievesFromJson(Map<String, dynamic> json) {
	final ModelLiveUserListAchieves modelLiveUserListAchieves = ModelLiveUserListAchieves();
	final int? serialNum = jsonConvert.convert<int>(json['serialNum']);
	if (serialNum != null) {
		modelLiveUserListAchieves.serialNum = serialNum;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		modelLiveUserListAchieves.name = name;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		modelLiveUserListAchieves.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		modelLiveUserListAchieves.iconJson = iconJson;
	}
	return modelLiveUserListAchieves;
}

Map<String, dynamic> $ModelLiveUserListAchievesToJson(ModelLiveUserListAchieves entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['serialNum'] = entity.serialNum;
	data['name'] = entity.name;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	return data;
}

ModelLiveHeadFrame $ModelLiveHeadFrameFromJson(Map<String, dynamic> json) {
	final ModelLiveHeadFrame modelLiveHeadFrame = ModelLiveHeadFrame();
	final int? headFrameId = jsonConvert.convert<int>(json['headFrameId']);
	if (headFrameId != null) {
		modelLiveHeadFrame.headFrameId = headFrameId;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		modelLiveHeadFrame.name = name;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		modelLiveHeadFrame.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		modelLiveHeadFrame.iconJson = iconJson;
	}
	return modelLiveHeadFrame;
}

Map<String, dynamic> $ModelLiveHeadFrameToJson(ModelLiveHeadFrame entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['headFrameId'] = entity.headFrameId;
	data['name'] = entity.name;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	return data;
}

ModelLiveIncomeState $ModelLiveIncomeStateFromJson(Map<String, dynamic> json) {
	final ModelLiveIncomeState modelLiveIncomeState = ModelLiveIncomeState();
	final int? incomeStateId = jsonConvert.convert<int>(json['incomeStateId']);
	if (incomeStateId != null) {
		modelLiveIncomeState.incomeStateId = incomeStateId;
	}
	final String? name = jsonConvert.convert<String>(json['name']);
	if (name != null) {
		modelLiveIncomeState.name = name;
	}
	final String? icon = jsonConvert.convert<String>(json['icon']);
	if (icon != null) {
		modelLiveIncomeState.icon = icon;
	}
	final String? iconJson = jsonConvert.convert<String>(json['iconJson']);
	if (iconJson != null) {
		modelLiveIncomeState.iconJson = iconJson;
	}
	return modelLiveIncomeState;
}

Map<String, dynamic> $ModelLiveIncomeStateToJson(ModelLiveIncomeState entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['incomeStateId'] = entity.incomeStateId;
	data['name'] = entity.name;
	data['icon'] = entity.icon;
	data['iconJson'] = entity.iconJson;
	return data;
}